summaryrefslogtreecommitdiffstats
path: root/external/meta-python2/recipes-connectivity/gateone/gateone
diff options
context:
space:
mode:
Diffstat (limited to 'external/meta-python2/recipes-connectivity/gateone/gateone')
-rw-r--r--external/meta-python2/recipes-connectivity/gateone/gateone/80oe.conf.in24
-rw-r--r--external/meta-python2/recipes-connectivity/gateone/gateone/gateone-avahi.service10
-rw-r--r--external/meta-python2/recipes-connectivity/gateone/gateone/gateone-init.in47
-rw-r--r--external/meta-python2/recipes-connectivity/gateone/gateone/gateone.service.in10
4 files changed, 91 insertions, 0 deletions
diff --git a/external/meta-python2/recipes-connectivity/gateone/gateone/80oe.conf.in b/external/meta-python2/recipes-connectivity/gateone/gateone/80oe.conf.in
new file mode 100644
index 00000000..4503da42
--- /dev/null
+++ b/external/meta-python2/recipes-connectivity/gateone/gateone/80oe.conf.in
@@ -0,0 +1,24 @@
+// Some custom Gate One settings for OpenEmbedded
+{
+ "*": {
+ "gateone": { // These settings apply to all of Gate One
+ "log_file_prefix": "@localstate@/log/gateone.log", // default would be /var/log/gateone/gateone.log
+ "log_file_max_size": 5242880, // 5 megabyte logs for OE by default (default would normally be 100Mb)
+ "log_file_num_backups": 2, // Default is normally 10
+ "origins": ["*"], // Every device has a unique origin
+ "logging": "info",
+ "pid_file": "/run/gateone.pid",
+ "session_dir": "/tmp/gateone",
+ "user_dir": "@localstate@/lib/gateone/users"
+ },
+ "terminal": {
+ // Disabling session logging for embedded devices is a good idea (limited/slow storage)
+ "session_logging": false,
+ "syslog_session_logging": false
+// "commands": {
+// // For some reason this doesn't work (never asks for the password)
+// "login": "setsid /bin/login" // Normally this would emulate logging into the host console
+// }
+ }
+ }
+}
diff --git a/external/meta-python2/recipes-connectivity/gateone/gateone/gateone-avahi.service b/external/meta-python2/recipes-connectivity/gateone/gateone/gateone-avahi.service
new file mode 100644
index 00000000..0f613d18
--- /dev/null
+++ b/external/meta-python2/recipes-connectivity/gateone/gateone/gateone-avahi.service
@@ -0,0 +1,10 @@
+<?xml version="1.0" standalone='no'?><!--*-nxml-*-->
+<!DOCTYPE service-group SYSTEM "avahi-service.dtd">
+
+<service-group>
+ <name replace-wildcards="yes">GateOne on %h</name>
+ <service>
+ <type>_https._tcp</type>
+ <port>443</port>
+ </service>
+</service-group>
diff --git a/external/meta-python2/recipes-connectivity/gateone/gateone/gateone-init.in b/external/meta-python2/recipes-connectivity/gateone/gateone/gateone-init.in
new file mode 100644
index 00000000..86d655c9
--- /dev/null
+++ b/external/meta-python2/recipes-connectivity/gateone/gateone/gateone-init.in
@@ -0,0 +1,47 @@
+#!/bin/sh -e
+### BEGIN INIT INFO
+# Provides: gateone
+# Required-Start: networking
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Gateone HTML5 ssh client
+# Description: Gateone HTML5 terminal emulator and SSH client.
+### END INIT INFO
+
+. /etc/init.d/functions
+
+NAME=gateone
+DAEMON=@bindir@/gateone
+PIDFILE=/run/gateone.pid
+WORKDIR=@localstate@/lib/gateone
+
+do_start() {
+ cd $WORKDIR
+ @bindir@/python $DAEMON > /dev/null 2>&1 &
+ cd $OLDPWD
+}
+
+do_stop() {
+ kill -TERM `cat $PIDFILE`
+}
+
+case "$1" in
+ start)
+ echo "Starting gateone"
+ do_start
+ ;;
+ stop)
+ echo "Stopping gateone"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restart gateone"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
diff --git a/external/meta-python2/recipes-connectivity/gateone/gateone/gateone.service.in b/external/meta-python2/recipes-connectivity/gateone/gateone/gateone.service.in
new file mode 100644
index 00000000..44667275
--- /dev/null
+++ b/external/meta-python2/recipes-connectivity/gateone/gateone/gateone.service.in
@@ -0,0 +1,10 @@
+[Unit]
+Description=GateOne daemon
+ConditionPathExists=|@localstate@/lib/gateone
+
+[Service]
+WorkingDirectory=@localstate@/lib/gateone
+ExecStart=@bindir@/python @bindir@/gateone
+
+[Install]
+WantedBy=multi-user.target